package com.yeejoin.amos.fas.dao.entity;

import com.yeejoin.amos.fas.core.common.request.DateUtil;

import java.util.Date;

/**
 * 
 * <pre>
 * RO基础信息
 * </pre>
 *
 * @author amos
 * @version $Id: BasicsRo.java, v 0.1 2019年5月22日 上午10:44:22 amos Exp $
 */
public class MessageRo extends BusinessEntity
{


	//TODO 添加批次号字段



	/**
	 * 批次号，标记规则执行批次
	 */
	private String batchNo;

	/**
	 * 所要执行的规则包id
	 */
	private String packageId;


	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = -2678718393223476996L;
	/**
	 * id
	 */
	private String id;
	/**
     * 当前时间
     */
    private Date dateTime = DateUtil.getNow();
    /**
     * 当前时间
     */
	private String currTime;
    
	public String getId()
	{
		return id;
	}
	public void setId(String id)
	{
		this.id = id;
	}
	public Date getDateTime()
	{
		if (dateTime == null)
		{
			return DateUtil.getNow();
		}
		return dateTime;
	}
	public void setDateTime(Date dateTime)
	{
		this.dateTime = dateTime;
	}
	public String getCurrTime()
	{
		if (currTime == null)
		{
			return DateUtil.getDateTimeFormat(dateTime);
		}
		return currTime;
	}
	public void setCurrTime(String currTime)
	{
		this.currTime = currTime;
	}


	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}


	public String getPackageId() {
		return packageId;
	}

	public void setPackageId(String packageId) {
		this.packageId = packageId;
	}
}